SWI(1)

NAME
dtd2pl - Convert SGML DTD files to Prolog

SYNOPSIS
dtd2pl dtd-file

DESCRIPTION
The Program dtd2pl Provides a crude translation of an SGML DTD files into a Prolog database. Curently a DTD is translated into a Prolog module named <doctype>_dtd. This module does no export any predicates. The DTD is represented using the following predicates.

Predicates

element(Name, omit(Open, Close), Content)

include(Element, Included)

exclude(Element, Excluded)

attribute(Element, Name, Type, Default)

ENVIRONMENT

SGML_CATALOG_FILES file:file ...
    Catalog files are used to resolve PUBLIC identifiers of external entities.

BUGS
Lacks many options to tailor the output to a specific needs.

AUTHOR
Jan Wielemaker, SWI, University of Amsterdam

SEE ALSO
pl(1) plld(1) SWI-Prolog 3.1 Reference Manual, University of Amsterdam, Dept. of Social Science and Informatics (SWI).

COPYRIGHT
Copyright (C) 1991-1998, Jan Wielemaker

AUTHOR
Jan Wielemaker